package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;

public class Shield extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        if(!KajetansMod.playerbank.getData(p).hasData("armorboost"))
        {
            KajetansMod.playerbank.getData(p).addGoodTimedData("armorboost", 1.4f, 200, " + 40 % Armor", 200);
        }
        try
        {
            EffectUtils.getPlayersOfGuild(p, power + 2).stream()
                    .filter(pl -> !KajetansMod.playerbank.getData((EntityPlayerMP) pl).hasData("armorboost"))
                    .forEach(pl -> KajetansMod.playerbank.getData((EntityPlayerMP) pl).addGoodTimedData("armorboost", 1.4f, 200, " + 40 % Armor", 200));
        }
        catch(ClassCastException ex)
        {
            System.out.println(GlobalText.shouldNotHappen());
        }
        return true;
    }
}
